extension RangeNum on num {
  /// Keep a value within a set range.
  num range({num min = double.negativeInfinity, num max = double.infinity}) {
    if (this > min && this < max) return this;
    if (this < min) return min;
    if (this > max) return max;
    return this;
  }
}
